Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_bitrate

declared in "vorbis/vorbisfile.h";

This function returns the average bitrate for the specified logical bitstream. This may be different from the ov_info->nominal_bitrate value, as it is based on the actual average for this bitstream if the file is seekable.

Nonseekable files will return the nominal bitrate setting or the average of the upper and lower bounds, if any of these values are set.

    long ov_bitrate(OggVorbis_File *vf,int i);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
i
  Link to the desired logical bitstream. For nonseekable files, this argument is ignored. To retrieve the bitrate for the entire bitstream, this parameter should be set to -1.

### Return Values

> - OV_EINVAL indicates that an invalid argument value was submitted or that the stream represented by `vf` is not open.
> - OV_FALSE means the call returned a 'false' status, which in this case most likely indicates that the file is nonseekable and the upper, lower, and nominal bitrates were unset.
> - n indicates the bitrate for the given logical bitstream or the entire physical bitstream. If the file is open for random (seekable) access, it will find the *actual* average bitrate. If the file is streaming (nonseekable), it returns the nominal bitrate (if set) or else the average of the upper/lower bounds (if set).

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101